# azure.mgmt.resource.resources.v2016_02_01.models module

class `azure.mgmt.resource.resources.v2016_02_01.models.``AliasPathType`(*, path: str = None, api_versions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  AliasPathType.

  Parameters:

  - path (str) – The path of an alias.
  - api_versions (list[str]) – The api versions.

class `azure.mgmt.resource.resources.v2016_02_01.models.``AliasType`(*, name: str = None, paths=None, **kwargs)

  Bases: `msrest.serialization.Model`

  AliasType.

  Parameters:

  - name (str) – The alias name.
  - paths (list[AliasPathType]) – The paths for an alias.

class `azure.mgmt.resource.resources.v2016_02_01.models.``BasicDependency`(*, id: str = None, resource_type: str = None, resource_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment dependency information.

  Parameters:

  - id (str) – The ID of the dependency.
  - resource_type (str) – The dependency resource type.
  - resource_name (str) – The dependency resource name.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DebugSetting`(*, detail_level: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  DebugSetting.

  Parameters: | detail_level (str) – The debug detail level.

class `azure.mgmt.resource.resources.v2016_02_01.models.``Dependency`(*, depends_on=None, id: str = None, resource_type: str = None, resource_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment dependency information.

  Parameters:

  - depends_on (list[BasicDependency]) – The list of dependencies.
  - id (str) – The ID of the dependency.
  - resource_type (str) – The dependency resource type.
  - resource_name (str) – The dependency resource name.

class `azure.mgmt.resource.resources.v2016_02_01.models.``Deployment`(*, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment operation parameters.

  Parameters: | properties (DeploymentProperties) – The deployment properties.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentExportResult`(*, template=None, **kwargs)

  Bases: `msrest.serialization.Model`

  DeploymentExportResult.

  Parameters: | template (object) – The template content.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentExtended`(*, name: str, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment information.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – The ID of the deployment.

  Parameters:

  - name (str) – Required. The name of the deployment.
  - properties (DeploymentPropertiesExtended) – Deployment properties.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentExtendedFilter`(*, provisioning_state: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment filter.

  Parameters: | provisioning_state (str) – The provisioning state.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentOperation`(*, id: str = None, operation_id: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment operation information.

  Parameters:

  - id (str) – Full deployment operation id.
  - operation_id (str) – Deployment operation id.
  - properties (DeploymentOperationProperties) – Deployment properties.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentOperationProperties`(*, provisioning_state: str = None, timestamp=None, service_request_id: str = None, status_code: str = None, status_message=None, target_resource=None, request=None, response=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment operation properties.

  Parameters:

  - provisioning_state (str) – The state of the provisioning.
  - timestamp (datetime) – The date and time of the operation.
  - service_request_id (str) – Deployment operation service request id.
  - status_code (str) – Operation status code.
  - status_message (object) – Operation status message.
  - target_resource (TargetResource) – The target resource.
  - request (HttpMessage) – The HTTP request message.
  - response (HttpMessage) – The HTTP response message.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentProperties`(*, mode, template=None, template_link=None, parameters=None, parameters_link=None, debug_setting=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment properties.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - template (object) – The template content. It can be a JObject or a well formed JSON string. Use only one of Template or TemplateLink.
  - template_link (TemplateLink) – The template URI. Use only one of Template or TemplateLink.
  - parameters (object) – Deployment parameters. It can be a JObject or a well formed JSON string. Use only one of Parameters or ParametersLink.
  - parameters_link (ParametersLink) – The parameters URI. Use only one of Parameters or ParametersLink.
  - mode (str or DeploymentMode) – Required. The deployment mode. Possible values include: ‘Incremental’, ‘Complete’
  - debug_setting (DebugSetting) – The debug setting of the deployment.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentPropertiesExtended`(*, provisioning_state: str = None, correlation_id: str = None, timestamp=None, outputs=None, providers=None, dependencies=None, template=None, template_link=None, parameters=None, parameters_link=None, mode=None, debug_setting=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Deployment properties with additional details.

  Parameters:

  - provisioning_state (str) – The state of the provisioning.
  - correlation_id (str) – The correlation ID of the deployment.
  - timestamp (datetime) – The timestamp of the template deployment.
  - outputs (object) – Key/value pairs that represent deployment output.
  - providers (list[Provider]) – The list of resource providers needed for the deployment.
  - dependencies (list[Dependency]) – The list of deployment dependencies.
  - template (object) – The template content. Use only one of Template or TemplateLink.
  - template_link (TemplateLink) – The URI referencing the template. Use only one of Template or TemplateLink.
  - parameters (object) – Deployment parameters. Use only one of Parameters or ParametersLink.
  - parameters_link (ParametersLink) – The URI referencing the parameters. Use only one of Parameters or ParametersLink.
  - mode (str or DeploymentMode) – The deployment mode. Possible values include: ‘Incremental’, ‘Complete’
  - debug_setting (DebugSetting) – The debug setting of the deployment.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentValidateResult`(*, error=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information from validate template deployment response.

  Parameters:

  - error (ResourceManagementErrorWithDetails) – Validation error.
  - properties (DeploymentPropertiesExtended) – The template deployment properties.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ErrorAdditionalInfo`(**kwargs)

  Bases: `msrest.serialization.Model`

  The resource management error additional info.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - type (str) – The additional info type.
  - info (object) – The additional info.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ErrorResponse`(**kwargs)

  Bases: `msrest.serialization.Model`

  The resource management error response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - code (str) – The error code.
  - message (str) – The error message.
  - target (str) – The error target.
  - details (list[ErrorResponse]) – The error details.
  - additional_info (list[ErrorAdditionalInfo]) – The error additional info.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ExportTemplateRequest`(*, resources=None, options: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Export resource group template request parameters.

  Parameters:

  - resources (list[str]) – The IDs of the resources to filter the export by. To export all resources, supply an array with single entry ‘*’.
  - options (str) – The export template options. A CSV-formatted list containing zero or more of the following: ‘IncludeParameterDefaultValue’, ‘IncludeComments’, ‘SkipResourceNameParameterization’, ‘SkipAllParameterization’

class `azure.mgmt.resource.resources.v2016_02_01.models.``GenericResource`(*, location: str = None, tags=None, plan=None, properties=None, kind: str = None, managed_by: str = None, sku=None, identity=None, **kwargs)

  Bases: `azure.mgmt.resource.resources.v2016_02_01.models._models_py3.Resource`

  Resource information.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags
  - plan (Plan) – The plan of the resource.
  - properties (object) – The resource properties.
  - kind (str) – The kind of the resource.
  - managed_by (str) – Id of the resource that manages this resource.
  - sku (Sku) – The sku of the resource.
  - identity (Identity) – The identity of the resource.

class `azure.mgmt.resource.resources.v2016_02_01.models.``GenericResourceFilter`(*, resource_type: str = None, tagname: str = None, tagvalue: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource filter.

  Parameters:

  - resource_type (str) – The resource type.
  - tagname (str) – The tag name.
  - tagvalue (str) – The tag value.

class `azure.mgmt.resource.resources.v2016_02_01.models.``HttpMessage`(*, content=None, **kwargs)

  Bases: `msrest.serialization.Model`

  HttpMessage.

  Parameters: | content (object) – HTTP message content.

class `azure.mgmt.resource.resources.v2016_02_01.models.``Identity`(*, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Identity for the resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - principal_id (str) – The principal id of resource identity.
  - tenant_id (str) – The tenant id of resource.

  Parameters: | type (str or ResourceIdentityType) – The identity type. Possible values include: ‘SystemAssigned’

class `azure.mgmt.resource.resources.v2016_02_01.models.``ParametersLink`(*, uri: str, content_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Entity representing the reference to the deployment parameters.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - uri (str) – Required. URI referencing the template.
  - content_version (str) – If included it must match the ContentVersion in the template.

class `azure.mgmt.resource.resources.v2016_02_01.models.``Plan`(*, name: str = None, publisher: str = None, product: str = None, promotion_code: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Plan for the resource.

  Parameters:

  - name (str) – The plan ID.
  - publisher (str) – The publisher ID.
  - product (str) – The offer ID.
  - promotion_code (str) – The promotion code.

class `azure.mgmt.resource.resources.v2016_02_01.models.``Provider`(*, id: str = None, namespace: str = None, registration_state: str = None, resource_types=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource provider information.

  Parameters:

  - id (str) – The provider id.
  - namespace (str) – The namespace of the provider.
  - registration_state (str) – The registration state of the provider.
  - resource_types (list[ProviderResourceType]) – The collection of provider resource types.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ProviderResourceType`(*, resource_type: str = None, locations=None, aliases=None, api_versions=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource type managed by the resource provider.

  Parameters:

  - resource_type (str) – The resource type.
  - locations (list[str]) – The collection of locations where this resource type can be created in.
  - aliases (list[AliasType]) – The aliases that are supported by this resource type.
  - api_versions (list[str]) – The api version.
  - properties (dict[str, str]) – The properties.

class `azure.mgmt.resource.resources.v2016_02_01.models.``Resource`(*, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceGroup`(*, location: str, name: str = None, properties=None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource group information.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – The ID of the resource group.

  Parameters:

  - name (str) – The Name of the resource group.
  - properties (ResourceGroupProperties) –
  - location (str) – Required. The location of the resource group. It cannot be changed after the resource group has been created. Has to be one of the supported Azure Locations, such as West US, East US, West Europe, East Asia, etc.
  - tags (dict[str, str]) – The tags attached to the resource group.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceGroupExportResult`(*, template=None, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ResourceGroupExportResult.

  Parameters:

  - template (object) – The template content.
  - error (ResourceManagementErrorWithDetails) – The error.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceGroupFilter`(*, tag_name: str = None, tag_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource group filter.

  Parameters:

  - tag_name (str) – The tag name.
  - tag_value (str) – The tag value.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceGroupProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  The resource group properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | provisioning_state (str) – The provisioning state.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceManagementErrorWithDetails`(*, code: str, message: str, target: str = None, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ResourceManagementErrorWithDetails.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - code (str) – Required. The error code returned from the server.
  - message (str) – Required. The error message returned from the server.
  - target (str) – The target of the error.
  - details (list[ResourceManagementErrorWithDetails]) – Validation error.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceProviderOperationDisplayProperties`(*, publisher: str = None, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource provider operation’s display properties.

  Parameters:

  - publisher (str) – Operation description.
  - provider (str) – Operation provider.
  - resource (str) – Operation resource.
  - operation (str) – Operation.
  - description (str) – Operation description.

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourcesMoveInfo`(*, resources=None, target_resource_group: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters of move resources.

  Parameters:

  - resources (list[str]) – The ids of the resources.
  - target_resource_group (str) – The target resource group.

class `azure.mgmt.resource.resources.v2016_02_01.models.``Sku`(*, name: str = None, tier: str = None, size: str = None, family: str = None, model: str = None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Sku for the resource.

  Parameters:

  - name (str) – The sku name.
  - tier (str) – The sku tier.
  - size (str) – The sku size.
  - family (str) – The sku family.
  - model (str) – The sku model.
  - capacity (int) – The sku capacity.

class `azure.mgmt.resource.resources.v2016_02_01.models.``SubResource`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SubResource.

  Parameters: | id (str) – Resource Id

class `azure.mgmt.resource.resources.v2016_02_01.models.``TagCount`(*, type: str = None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Tag count.

  Parameters:

  - type (str) – Type of count.
  - value (str) – Value of count.

class `azure.mgmt.resource.resources.v2016_02_01.models.``TagDetails`(*, tag_name: str = None, count=None, values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Tag details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – The tag ID.

  Parameters:

  - tag_name (str) – The tag name.
  - count (TagCount) – The tag count.
  - values (list[TagValue]) – The list of tag values.

class `azure.mgmt.resource.resources.v2016_02_01.models.``TagValue`(*, tag_value: str = None, count=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Tag information.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – The tag ID.

  Parameters:

  - tag_value (str) – The tag value.
  - count (TagCount) – The tag value count.

class `azure.mgmt.resource.resources.v2016_02_01.models.``TargetResource`(*, id: str = None, resource_name: str = None, resource_type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Target resource.

  Parameters:

  - id (str) – The ID of the resource.
  - resource_name (str) – The name of the resource.
  - resource_type (str) – The type of the resource.

class `azure.mgmt.resource.resources.v2016_02_01.models.``TemplateHashResult`(*, minified_template: str = None, template_hash: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Result of the request to calculate template hash. It contains a string of minified template and its hash.

  Parameters:

  - minified_template (str) – The minified template string.
  - template_hash (str) – The template hash.

class `azure.mgmt.resource.resources.v2016_02_01.models.``TemplateLink`(*, uri: str, content_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Entity representing the reference to the template.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - uri (str) – Required. URI referencing the template.
  - content_version (str) – If included it must match the ContentVersion in the template.

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentExtendedPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DeploymentExtended` object

class `azure.mgmt.resource.resources.v2016_02_01.models.``ProviderPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Provider` object

class `azure.mgmt.resource.resources.v2016_02_01.models.``GenericResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `GenericResource` object

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ResourceGroup` object

class `azure.mgmt.resource.resources.v2016_02_01.models.``TagDetailsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `TagDetails` object

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentOperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DeploymentOperation` object

class `azure.mgmt.resource.resources.v2016_02_01.models.``DeploymentMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `complete` = 'Complete'
  `incremental` = 'Incremental'

class `azure.mgmt.resource.resources.v2016_02_01.models.``ResourceIdentityType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `system_assigned` = 'SystemAssigned'